Get NFT traits by collection
curl --request GET \
--url https://deep-index.moralis.io/api/v2.2/nft/{address}/traits \
--header 'X-API-Key: <api-key>'import requests
url = "https://deep-index.moralis.io/api/v2.2/nft/{address}/traits"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://deep-index.moralis.io/api/v2.2/nft/{address}/traits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"traits": [
{
"trait_type": "Background",
"values": [
{
"trait_value": "Lavendar",
"count": 18593,
"percentage": 85.8,
"rarity_label": "Top 4% trait"
}
]
}
]
}Traits & Rarity
NFT Traits by Collection
Explore the distinct traits of NFTs in a contract, showcasing their unique attributes.
GET
/
nft
/
{address}
/
traits
Get NFT traits by collection
Authorizations
Path Parameters
The address of the NFT contract
Example:
"0x524cab2ec69124574082676e6f654a18df49a048"
Query Parameters
The chain to query
Available options:
eth, 0x1, sepolia, 0xaa36a7, polygon, 0x89, bsc, 0x38, bsc testnet, 0x61, avalanche, 0xa86a, cronos, 0x19, arbitrum, 0xa4b1, chiliz, 0x15b38, gnosis, 0x64, base, 0x2105, base sepolia, 0x14a34, optimism, 0xa, polygon amoy, 0x13882, linea, 0xe708, moonbeam, 0x504, moonriver, 0x505, flow, 0x2eb, flow-testnet, 0x221, ronin, 0x7e4, ronin-testnet, 0x31769, lisk, 0x46f, pulse, 0x171, sei-testnet, 0x530, sei, 0x531, monad, 0x8f Example:
"eth"
Response
200 - application/json
Returns the traits
Show child attributes
Show child attributes

